#include "LogReader.h"
#include "ViewCellsManager.h"


namespace GtpVisibilityPreprocessor {


void LogReader::SetFilename(const std::string &filename)
{
	mFilename = filename;
}


void LogReader::Read(int &numSamples, ViewCellInfoContainer &infos)
{
	 //char filename[64]; 
	 //sprintf(filename, "%s %06d", mFilename.c_str(), numSamples);
	 // open file
	 std::ifstream src(mFilename.c_str());

	 if (src.is_open())
	 {
		 src >> numSamples;

		 while (1)
		 {
			 ViewCellInfo info;
			 src >> info.mPiercingRays;	src >> info.mPvsSize;
			 
			 if (src.eof()) break;
			 
			 infos.push_back(info);
		 }

		 // HACK pop last frame, was doubled while reading
		 //framelist.pop_back();

		 src.close();
	 }
}

}