#include "LogWriter.h"
#include "ViewCellsManager.h"


namespace GtpVisibilityPreprocessor 
{


LogWriter::LogWriter()
{
}


LogWriter::LogWriter(const std::string &filename): mFilename(filename)
{
}


void LogWriter::SetFilename(const std::string &filename)
{
	mFilename = filename;
}


void LogWriter::Write(const int numSamples, const ViewCellContainer &viewCells)
{
	ofstream myfile;
	myfile.open(mFilename.c_str());

	if (!myfile.is_open())
		myfile.open(mFilename.c_str());

	ViewCellContainer::const_iterator vit, vit_end =viewCells.end();

	myfile << numSamples << endl;

	for (vit = viewCells.begin(); vit != vit_end; ++ vit)
	{
		myfile << (*vit)->GetNumPiercingRays() << " " << (*vit)->GetPvs().GetSize() << endl;
	}
}

}
